GNU bug report logs - #55808
29.0.50; If a Python class is on the first line, mark-defun does not mark the entire class

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: kobarity <kobarity@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 55808 <at> debbugs.gnu.org and kobarity <kobarity@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55808 <at> debbugs.gnu.org:


Received: (at 55808) by debbugs.gnu.org; 25 Jun 2022 14:51:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 25 10:51:27 2022
Received: from localhost ([127.0.0.1]:46002 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o578B-0004rw-9H
	for submit <at> debbugs.gnu.org; Sat, 25 Jun 2022 10:51:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o5789-0004rg-R5
 for 55808 <at> debbugs.gnu.org; Sat, 25 Jun 2022 10:51:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=cQrB4KrOjll2rbqCusxby2/54dvqJ5QzAnMw51AEkX8=; b=Qo7VlPI3c77I4rYNJ35e0LNTJa
 bA+87ukp4XHGaJxQYk5YKRIC/Nyhc5E1GcH0d/MM3/PUcWAhfkM4hYXBB3wjxP1A3aOZVsw8eEgYK
 UZnnDNeEu73uZeH8xnFD/SViaV9JSrqNWHffiEbfPFf/107LkSTKOCy7J+xkYJEuOJlY=;
Received: from 77.19.134.30.tmi.telenormobil.no ([77.19.134.30] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o5781-0007WK-0A; Sat, 25 Jun 2022 16:51:19 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: kobarity <kobarity@HIDDEN>
Subject: Re: bug#55808: 29.0.50; If a Python class is on the first line,
 mark-defun does not mark the entire class
References: <CAMQkrSrjT_-4+zh+Tcd7Xv3K6YO=wp86hoGFA_A363pDE12Ayw@HIDDEN>
 <CAMQkrSr5Mx2tmyA_rvw4ZqBFqNv6btJSwnAeCZW=YXmK8h30HA@HIDDEN>
Date: Sat, 25 Jun 2022 16:51:16 +0200
In-Reply-To: <CAMQkrSr5Mx2tmyA_rvw4ZqBFqNv6btJSwnAeCZW=YXmK8h30HA@HIDDEN>
 (kobarity@HIDDEN's message of "Sat, 25 Jun 2022 23:01:20 +0900")
Message-ID: <87zgi0hk4b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  kobarity <kobarity@HIDDEN> writes: > It turned out that
 there was a bug in `python-nav-beginning-of-defun'. > Fixing the bug #56105
 also resolved this issue #55808. So #55808 can > now be closed. Thanks; closing
 this bug report, then. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55808
Cc: 55808 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

kobarity <kobarity@HIDDEN> writes:

> It turned out that there was a bug in `python-nav-beginning-of-defun'.
> Fixing the bug #56105 also resolved this issue #55808. So #55808 can
> now be closed.

Thanks; closing this bug report, then.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55808; Package emacs. Full text available.

Message received at 55808 <at> debbugs.gnu.org:


Received: (at 55808) by debbugs.gnu.org; 25 Jun 2022 14:01:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 25 10:01:40 2022
Received: from localhost ([127.0.0.1]:45939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o56M0-0003ad-PM
	for submit <at> debbugs.gnu.org; Sat, 25 Jun 2022 10:01:40 -0400
Received: from mail-ej1-f46.google.com ([209.85.218.46]:43667)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kobarity@HIDDEN>) id 1o56Lz-0003aQ-9u
 for 55808 <at> debbugs.gnu.org; Sat, 25 Jun 2022 10:01:40 -0400
Received: by mail-ej1-f46.google.com with SMTP id u15so10116840ejc.10
 for <55808 <at> debbugs.gnu.org>; Sat, 25 Jun 2022 07:01:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=1cshrcjdLtTsHHAaYgJ3PlOpw10vQb+x15YHNSg9GLI=;
 b=obOnMEHuZ6/G/4Ymz+S/a05LCd2UaqjczY88eMAH+0UPcfe1OEfELJqPoJ+M4ZxVcS
 /f2rp1UgNpzPJH59EXWLWXm1HdvEjs5E7FbTbDUi5Ta39I7STg31d8H2oQepJl+Qhvk7
 JRnkYkN+kGzWxvH9q1gxL1iN24kuMDMVNFFmGe92JwX+jzsOf+EdS51cV6KvD4Diq2iJ
 B1vGzeHb2LHLw1TQDTmx43czvBxi6Dqi85eR5LuKqW67680KffkIeALVcrMqIebbCxTD
 mbuxV3lnde1iXYyEPmRrePFM+dwS2xSbrAqtPe6NMVTeXgA42dZLxKWMUvfpbS2QKc5f
 pPxA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=1cshrcjdLtTsHHAaYgJ3PlOpw10vQb+x15YHNSg9GLI=;
 b=qKZ4S9x3heEuc4nr6Doqj5VwUSBrZXI00BA/QUNdOpMZQPwEVOxpDuTMpMkWOFMGap
 dqkkKJABNUm6St04cjZemTffeYB5ZZXy9kEvlpn/lAvu4p0hnLDvSdWVudDEq9hwUa+7
 6fm9IRrzZ3VnHtTqCdzrjQFQRffNR16BCCelC+uGG34mDI+ZPAPzhRk87jpsEsYUBMAb
 dUiYCWl+IdwpyxX7Pw+rdHHir6wqgGgIvtpXK9B/9vAy8tUr3yle6XjONu0yAhmzHSzN
 o033E/bJxJS1cTLOkMRibsoIdPjRwh1HV4WZaVdVogu+MQL+ZG3J0+raw4no2rzrrMKT
 WoWQ==
X-Gm-Message-State: AJIora/A4paqiXm5x2w6ug81It3ibGKtR+YrITtBs0GBhh7t+ui2CwNz
 m1LOdci6g1HZe8D2PbYP0T0BC+a6YXNg+819cgop1dg1
X-Google-Smtp-Source: AGRyM1udFoNSX8M8UuZep6CDT4SBaWQTbz0djGXkFTDw5G2SmEYnkYmkctGLRGgW6Rar0qpWzsJh0yqOII28d0YIXAI=
X-Received: by 2002:a17:907:7245:b0:711:d1ff:2ca4 with SMTP id
 ds5-20020a170907724500b00711d1ff2ca4mr3961277ejc.753.1656165692578; Sat, 25
 Jun 2022 07:01:32 -0700 (PDT)
MIME-Version: 1.0
From: kobarity <kobarity@HIDDEN>
Date: Sat, 25 Jun 2022 23:01:20 +0900
Message-ID: <CAMQkrSr5Mx2tmyA_rvw4ZqBFqNv6btJSwnAeCZW=YXmK8h30HA@HIDDEN>
Subject: 29.0.50; If a Python class is on the first line, mark-defun does not
 mark the entire class
To: 55808 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55808
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

I wrote:
> The following steps will mark only the method baz, not the entire
> class Foo.
>
> 1. emacs -Q
> 2. Load the following Python file using M-x find-file
>
> #+begin_src python
> class Foo:
>     def bar():
>         pass
>
>     def baz():
>         pass
> #+end_src
>
> 3. M-x mark-defun
>
> This issue happens only if the class is on the first line of the file.

It turned out that there was a bug in `python-nav-beginning-of-defun'.
Fixing the bug #56105 also resolved this issue #55808. So #55808 can
now be closed.

Thanks,




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55808; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jun 2022 14:19:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 10:19:53 2022
Received: from localhost ([127.0.0.1]:33180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxr6f-0002Jn-8u
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2022 10:19:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:39576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kobarity@HIDDEN>) id 1nxr6c-0002Jf-84
 for submit <at> debbugs.gnu.org; Sun, 05 Jun 2022 10:19:51 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60184)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kobarity@HIDDEN>)
 id 1nxr6b-0001Rb-6r
 for bug-gnu-emacs@HIDDEN; Sun, 05 Jun 2022 10:19:50 -0400
Received: from mail-ej1-x62e.google.com ([2a00:1450:4864:20::62e]:33374)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <kobarity@HIDDEN>)
 id 1nxr6Z-0001dQ-Ev
 for bug-gnu-emacs@HIDDEN; Sun, 05 Jun 2022 10:19:48 -0400
Received: by mail-ej1-x62e.google.com with SMTP id bg6so4603676ejb.0
 for <bug-gnu-emacs@HIDDEN>; Sun, 05 Jun 2022 07:19:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=4ehxXIwdREUc9s+KugF/wHqE6qo6oc5mPBAMqLzEUN4=;
 b=OiAYDMF11qBf3cDcVOzW059nUfdm2QiB1j6gCOT2F7wCZHecO8WCAHci/eZkgqjCeY
 jnj5bYsAaLkx+vDzfoiCsaiwMxwPo1OMcGD+Th8KQl5MXQ0R6+JoKF7EqPie9lStaKrS
 PmhVpnUscDvE9AoPRFGWpoofiZU9LXp3qUX+ce/JY54bXBFrHovHvEXAaEZJga2sz0k6
 Mzsw+pkgEFDVHWNEvMVYsyICFaEDLPh5Oa22ChAdVaG557ftEIpAXiTCpava8qA7tyoC
 9x2IMxdlgW3Fgu7wSxHIYNYm1g5+55o6pvDeqV+F8Zu0VDkHW5EexeNCStghj9Ux74XW
 ydpw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=4ehxXIwdREUc9s+KugF/wHqE6qo6oc5mPBAMqLzEUN4=;
 b=Fu8fUHCeg+K+gBQPNVUjLNzr+co67iIXPDaX/1iTJks1k3kXFdztjV98KqaXfgZShS
 VFqpDyrx2K+0J7QIFg26/yqquEpJpZFn21c2IO4BQ8bnoTuu9CdjX/5kvnaxuwlI/Foi
 UyimIw5EBUN5jLhLrfwCrOrxxWidetAxHgvSyWGckr/l4jS+8Qp77Iux6UN1IWTTWqhK
 1zDeK9noFBkTlzNgALT9wZy3doyXlmS3vb9JImZj1wrgG97+qsWcxM5Xqf/3VURxX6TX
 RxteMH8yYNQPoe1wkI0wggxLCraeJUpgHasUG8PQo8IYg2agDQOSUsATG3dp2jO5j7WD
 sBBg==
X-Gm-Message-State: AOAM533189doOE+9fMyMlNopNAeSF3m++egLfvuWnuB+G2b5qf/0Dcj7
 OexU6DqGhTUOfpaSv0sZZGA58ryWcgAfJnad9VdpIqu0
X-Google-Smtp-Source: ABdhPJwizkfU3H7ANvCkhu3XCjGB0yx+F5uCrZ6d6wtKh6/v0DVKL4M9MXwzl5Bd5DIT2Ln1byU9EQRgwiWFBy2vBbk=
X-Received: by 2002:a17:906:1c04:b0:708:a007:5a77 with SMTP id
 k4-20020a1709061c0400b00708a0075a77mr17858309ejg.566.1654438783043; Sun, 05
 Jun 2022 07:19:43 -0700 (PDT)
MIME-Version: 1.0
From: kobarity <kobarity@HIDDEN>
Date: Sun, 5 Jun 2022 23:19:29 +0900
Message-ID: <CAMQkrSrjT_-4+zh+Tcd7Xv3K6YO=wp86hoGFA_A363pDE12Ayw@HIDDEN>
Subject: 29.0.50; If a Python class is on the first line, mark-defun does not
 mark the entire class
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2a00:1450:4864:20::62e;
 envelope-from=kobarity@HIDDEN; helo=mail-ej1-x62e.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

X-Debbugs-CC: Marcin Borkowski <mbork@HIDDEN>

Hi,

The following steps will mark only the method baz, not the entire
class Foo.

1. emacs -Q
2. Load the following Python file using M-x find-file

#+begin_src python
class Foo:
    def bar():
        pass

    def baz():
        pass
#+end_src

3. M-x mark-defun

This issue happens only if the class is on the first line of the file.

The direct cause of this issue is the following condition in
`mark-defun':

#+begin_src elisp
                       (= beg (point-min))) ; we were before the first defun!
#+end_src

This condition was introduced in Message #98 of Bug #21072. I understand
that this is necessary to avoid marking the comment line like following:

#+begin_src elisp
;; Comment header

(defun func-1 (arg)
  "docstring"
  body)
#+end_src

However, I feel that this condition is too broad to test if "we were
before the first defun". Any ideas?

Best Regards,

--

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu)
 of 2022-06-05 built on ubuntu
Repository revision: 6011d39b6a4bc659da364255bcae22c4e6ef3a3f
Repository branch: master
System Description: Ubuntu 22.04 LTS

Configured using:
 'configure --without-x --with-gnutls=ifavailable'

Configured features:
ACL LIBXML2 MODULES NOTIFY INOTIFY PDUMPER SECCOMP SOUND SQLITE3 THREADS
XIM ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Python

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dnd dired-loaddefs rfc822 mml mml-sec password-cache epa derived
epg rfc6068 epg-config gnus-util text-property-search time-date
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils vc-mtn python json map comint regexp-opt ring cl-loaddefs
cl-lib ansi-color seq term/screen term/xterm xterm gv subr-x byte-opt
bytecomp byte-compile cconv iso-transl tooltip eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode tabulated-list
replace newcomment text-mode lisp-mode prog-mode register page tab-bar
menu-bar rfn-eshadow isearch easymenu timer select mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads inotify multi-tty
make-network-process emacs)

Memory information:
((conses 16 54149 7992)
 (symbols 48 6657 1)
 (strings 32 18794 1945)
 (string-bytes 1 610563)
 (vectors 16 10669)
 (vector-slots 8 126166 8797)
 (floats 8 26 262)
 (intervals 56 218 0)
 (buffers 992 12))




Acknowledgement sent to kobarity <kobarity@HIDDEN>:
New bug report received and forwarded. Copy sent to mbork@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to mbork@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#55808; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 25 Jun 2022 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.